## leocad 0.79.2

=== Makefile ===
### ALL CONFIGURATION SHOULD BE IN CONFIG.MK, NOT HERE
include config.mk

### Module directories
MODULES := $(OSDIR) common

### Look for include files in each of the modules
CPPFLAGS += $(patsubst %,-I%,$(MODULES))
CPPFLAGS += -g -Wextra -Wall -Wno-unused-parameter

### Extra libraries if required
LIBS :=

### Each module will add to this
SRC :=

BIN := bin/leocad
OBJDIR := obj

ifeq ($(findstring $(MAKECMDGOALS), help config-help config clean veryclean source-tgz source-zip), )
-include $(OSDIR)/config.mk
endif

### Include the description for each module
include $(patsubst %,%/module.mk,$(MODULES))

### Determine the object files
OBJ := $(patsubst %.cpp,$(OBJDIR)/%.o,$(filter %.cpp,$(SRC)))

### Link the program
.PHONY: all static

all: $(BIN)

static: bin/leocad.static

bin/leocad: $(OBJ) bin Makefile
	@echo Linking $@
	@$(CXX) -o $@ $(OBJ) $(LIBS) $(LDFLAGS)

bin/leocad.static: $(OBJ) bin Makefile
	$(CXX) -static -o $@ $(OBJ) $(LIBS) $(LDFLAGS)

bin:
	@mkdir bin

obj:
	@mkdir $(OBJDIR) $(addprefix $(OBJDIR)/,$(MODULES))

### Include the C/C++ include dependencies
ifeq ($(findstring $(MAKECMDGOALS), help config-help config clean veryclean source-tgz source-zip), )
-include $(OBJ:.o=.d)
endif

### Calculate C/C++ include dependencies
$(OBJDIR)/%.d: %.cpp obj $(OSDIR)/config.mk
	@$(CXX) -MM -MT '$(patsubst %.d,%.o, $@)' $(CXXFLAGS) $(CPPFLAGS) -w $< > $@
	@[ -s $@ ] || rm -f $@

### Main compiler rule
$(OBJDIR)/%.o: %.cpp obj $(OSDIR)/config.mk
	@echo $<
	@$(CXX) $(CXXFLAGS) $(CPPFLAGS) -c -o '$(patsubst %.cpp,%.o, $@)' $<
	@[ -s $@ ] || rm -f $@

### Various cleaning functions
.PHONY: clean distclean veryclean spotless all

clean:
	@[ ! -d $(OBJDIR) ] || find $(OBJDIR) -name \*.o | xargs rm -f

veryclean: clean
	@rm -rf $(OBJDIR)
	@rm -rf bin
	@rm -rf arch $(OSDIR)/config.mk

distclean: veryclean

### Dependency stuff is done automatically, so these do nothing.
.PHONY: dep depend


### Help function
.PHONY: help

help:
	@echo   'Possible Targets are:'
	@echo   '       help (this is it)'
	@echo   '       all'
	@echo   '       install'
	@echo   '       uninstall'
	@echo   '       binary'
	@echo   '       source'
	@echo   '       (binary and source can be called as'
	@echo   '        a -zip or -tgz variants)'
	@echo   '       clean'
	@echo   '       veryclean'
	@echo

###  Rules to make various packaging
.PHONY: binary binary-tgz source-zip source-tgz source install uninstall

arch:
	mkdir arch

desktop: obj
	@echo "[Desktop Entry]" > $(OBJDIR)/leocad.desktop
	@echo "Version=1.0" >> $(OBJDIR)/leocad.desktop
	@echo "Name=LeoCAD" >> $(OBJDIR)/leocad.desktop
	@echo "Comment=Create virtual LEGO models" >> $(OBJDIR)/leocad.desktop
	@echo "Comment[nb]=Lag virtuelle LEGO-modeller" >> $(OBJDIR)/leocad.desktop
	@echo "Comment[pt_BR]=Criar modelos virtuais de LEGO" >> $(OBJDIR)/leocad.desktop
	@echo "Exec=$(DESTDIR)$(PREFIX)/bin/leocad %f" >> $(OBJDIR)/leocad.desktop
	@echo "Terminal=false" >> $(OBJDIR)/leocad.desktop
	@echo "Type=Application" >> $(OBJDIR)/leocad.desktop
	@echo "Icon=$(DESTDIR)$(PREFIX)/share/pixmaps/leocad.svg" >> $(OBJDIR)/leocad.desktop
	@echo "MimeType=application/vnd.leocad;application/x-ldraw;application/x-multi-part-ldraw;" >> $(OBJDIR)/leocad.desktop
	@echo "Categories=Graphics;3DGraphics;Education;" >> $(OBJDIR)/leocad.desktop

install: $(BIN) install-data install-update
uninstall: uninstall-data install-update

install-data: desktop
	@install -d $(DESTDIR)$(PREFIX)/bin
	@install -c -m 0755 $(BIN) $(DESTDIR)$(PREFIX)/bin/
	@install -d $(DESTDIR)$(PREFIX)/share/man/man1
	@install -c -m 0644 docs/leocad.1 $(DESTDIR)$(PREFIX)/share/man/man1/
	@install -d $(DESTDIR)$(PREFIX)/share/leocad
	@install -c -m 0644 tools/icon/icon128.png $(DESTDIR)$(PREFIX)/share/leocad/icon.png
	@install -d $(DESTDIR)$(PREFIX)/share/applications
	@install -c -m 0644 $(OBJDIR)/leocad.desktop $(DESTDIR)$(PREFIX)/share/applications/
	@install -d $(DESTDIR)$(PREFIX)/share/pixmaps
	@install -c -m 0644 tools/icon/icon.svg $(DESTDIR)$(PREFIX)/share/pixmaps/leocad.svg
	@install -d $(DESTDIR)$(PREFIX)/share/icons/hicolor/scalable/mimetypes/
	@rm -f $(DESTDIR)$(PREFIX)/share/icons/hicolor/scalable/mimetypes/application-vnd.leocad.svg
	@ln -s $(DESTDIR)$(PREFIX)/share/pixmaps/leocad.svg $(DESTDIR)$(PREFIX)/share/icons/hicolor/scalable/mimetypes/application-vnd.leocad.svg
	@install -d $(DESTDIR)$(PREFIX)/share/mime/packages
	@install -c -m 0644 linux/leocad-mime.xml $(DESTDIR)$(PREFIX)/share/mime/packages/

uninstall-data:
	@rm -f $(DESTDIR)$(PREFIX)/bin/$(BIN)
	@rm -f $(DESTDIR)$(PREFIX)/share/man/man1/leocad.1
	@rm -f $(DESTDIR)$(PREFIX)/share/leocad/icon.png
	@rm -f $(DESTDIR)$(PREFIX)/share/applications/leocad.desktop
	@rm -f $(DESTDIR)$(PREFIX)/share/pixmaps/leocad.svg
	@rm -f $(DESTDIR)$(PREFIX)/share/icons/hicolor/scalable/mimetypes/application-vnd.leocad.svg
	@rm -f $(DESTDIR)$(PREFIX)/share/mime/packages/leocad-mime.xml

install-update:
	@if test -z "$(DESTDIR)"; then \
		if which gtk-update-icon-cache>/dev/null 2>&1; then \
			gtk-update-icon-cache -q -f -t $(DESTDIR)$(PREFIX)/share/icons/hicolor; \
		fi; \
		if which update-mime-database>/dev/null 2>&1; then \
			update-mime-database $(DESTDIR)$(PREFIX)/share/mime/; \
		fi; \
		if which update-desktop-database>/dev/null 2>&1; then \
			update-desktop-database; \
		fi; \
	fi

binary: binary-zip binary-tgz

binary-zip: arch/leocad-linux.zip

binary-tgz: arch/leocad-linux.tgz

source: source-tgz source-zip

source-tgz: arch/leocad-src.tgz

source-zip: arch/leocad-src.zip

### Create a directory with the files needed for a binary package
package-dir: arch all
	mkdir leocad
	cp bin/leocad leocad
	cp CREDITS.txt leocad/CREDITS
	cp README.txt leocad/README
	cp docs/INSTALL.txt leocad/INSTALL
	cp docs/LINUX.txt leocad/LINUX
	cp docs/leocad.1 leocad

arch/leocad-linux.zip: package-dir
	rm -f $@
	zip -r $@ leocad
	rm -rf leocad

arch/leocad-linux.tgz: package-dir
	rm -f $@
	tar -cvzf $@ leocad
	rm -rf leocad

arch/leocad-src.tgz: veryclean arch
	rm -f $@
	( cd .. ; tar --exclude=leocad/arch/\* --exclude=.svn -cvzf leocad/$@ leocad )

arch/leocad-src.zip: veryclean arch
	rm -f $@
	( cd .. ; zip -r leocad/$@ leocad -x '*/arch/*' -x '*/.svn/*' -x '*~' -x '*/core' -x '*/.#*')

=== common/Makefile ===
include ../generic.mk

=== debian/changelog ===
leocad (0.79.2-1ubuntu1) saucy; urgency=low

  * Add -lX11 -ldl to LIBS to fix FTBFS due to underlinking.

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 01 May 2013 15:52:04 -0600

leocad (0.79.2-1) experimental; urgency=low

  [ David Paleino ]
  * New upstream version.
  * Fix segfault, thanks to Petter Reinholdtsen.
  * Updated debian/watch.
  * debian/patches/:
    - 00-improve_source.patch removed, merged upstream.
    - 01-fix_manpage.patch removed, merged upstream.
    - 02-fix_segfault.patch removed, merged upstream.
    - 00-fix_image_linking.patch added, fix creation of the image
      symlink.
    - 08-fix_deprecated_code.patch added, fix some misc deprecated
      code.

  [ Petter Reinholdtsen ]
  * Reduce debhelper dependency from 9 to 8, to allow the source to
    build in Debian Squeeze without any changes.
  * New patch 04-init-vectors.patch to make sure the lcVector2 and
    lcVector3 member variables always are initialized.
  * New patch 05-zipfile_signed.patch to get rid of some signed/unsigned
    warnings from the compiler.
  * Install desktop file and icon to get a meny entry in KDE and
    Gnome.  According to the leocad author the program can read and
    write LDraw files.  Add LDraw mime types to the list of supported
    MIME types, according to the list at
    <URL: http://www.ldraw.org/reference/specs/mimetypes.shtml >.
  * New patch 10-fix_segfault.patch to avoid calling stat() with
    uninitialized memory and crashing with segfault.
  * Correct email address of upstream in copyright file to one
    that is working.

 -- David Paleino <dapal@debian.org>  Fri, 08 Feb 2013 21:37:05 +0100

leocad (0.79-1) experimental; urgency=low

  * Initial release (Closes: #553311)

 -- David Paleino <dapal@debian.org>  Sat, 15 Dec 2012 22:13:08 +0100

=== debian/control ===
Source: leocad
Section: utils
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: David Paleino <dapal@debian.org>
Build-Depends: debhelper (>= 8~)
 , libgtk2.0-dev
 , libglib2.0-dev
 , libgl1-mesa-dev
 , libjpeg-dev
 , zlib1g-dev
 , libpng-dev
Standards-Version: 3.9.4
Homepage: http://www.leocad.org/
Vcs-Git: git://anonscm.debian.org/collab-maint/leocad.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/leocad.git

Package: leocad
Architecture: any
Depends:
 ${shlibs:Depends}
 , ${misc:Depends}
Recommends: leocad-parts
Description: virtual brick CAD software
 LeoCAD is a CAD program that can be used to create virtual models
 with bricks similar to those found in many toys.
 It has an easy to use interface and currently features over 2000
 different pieces created by the LDraw community.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PREFIX=/usr

ifndef UPVER
UPVER   := $(shell dpkg-parsechangelog | grep ^Version | awk '{print $$2}' | cut -d- -f1)
endif
SVNREPO := http://svn.leocad.org/tags

%:
	dh $@

override_dh_auto_clean:
	$(MAKE) veryclean

# Install icon too
override_dh_install:
	dh_install
	install -m644 -D tools/icon/icon32.png \
		debian/leocad/usr/share/pixmaps/leocad32.png

get-orig-source:
	svn checkout $(SVNREPO)/leocad-$(UPVER)
	find leocad-$(UPVER)/ -name ".svn" -type d | xargs rm -rf
	tar cf leocad_$(UPVER).orig.tar leocad-$(UPVER)
	bzip2 leocad_$(UPVER).orig.tar
	rm -rf leocad-$(UPVER)/

## leocad 0.79.3

=== Makefile ===
--- 
+++ 
@@ -6,7 +6,7 @@
 
 ### Look for include files in each of the modules
 CPPFLAGS += $(patsubst %,-I%,$(MODULES))
-CPPFLAGS += -g -Wextra -Wall -Wno-unused-parameter
+CPPFLAGS += -g -Wextra -Wall -Wno-unused-parameter -Wshadow
 
 ### Extra libraries if required
 LIBS :=
@@ -108,13 +108,15 @@
 	@echo "Version=1.0" >> $(OBJDIR)/leocad.desktop
 	@echo "Name=LeoCAD" >> $(OBJDIR)/leocad.desktop
 	@echo "Comment=Create virtual LEGO models" >> $(OBJDIR)/leocad.desktop
+	@echo "Comment[eo]=Kreu virtualajn LEGO-ajn modelojn" >> $(OBJDIR)/leocad.desktop
+	@echo "Comment[it]=Crea modelli LEGO virtuali" >> $(OBJDIR)/leocad.desktop
 	@echo "Comment[nb]=Lag virtuelle LEGO-modeller" >> $(OBJDIR)/leocad.desktop
 	@echo "Comment[pt_BR]=Criar modelos virtuais de LEGO" >> $(OBJDIR)/leocad.desktop
-	@echo "Exec=$(DESTDIR)$(PREFIX)/bin/leocad %f" >> $(OBJDIR)/leocad.desktop
+	@echo "Exec=$(PREFIX)/bin/leocad %f" >> $(OBJDIR)/leocad.desktop
 	@echo "Terminal=false" >> $(OBJDIR)/leocad.desktop
 	@echo "Type=Application" >> $(OBJDIR)/leocad.desktop
-	@echo "Icon=$(DESTDIR)$(PREFIX)/share/pixmaps/leocad.svg" >> $(OBJDIR)/leocad.desktop
-	@echo "MimeType=application/vnd.leocad;application/x-ldraw;application/x-multi-part-ldraw;" >> $(OBJDIR)/leocad.desktop
+	@echo "Icon=$(PREFIX)/share/pixmaps/leocad.svg" >> $(OBJDIR)/leocad.desktop
+	@echo "MimeType=application/vnd.leocad;application/x-ldraw;application/x-multi-part-ldraw;application/x-ldlite;" >> $(OBJDIR)/leocad.desktop
 	@echo "Categories=Graphics;3DGraphics;Education;" >> $(OBJDIR)/leocad.desktop
 
 install: $(BIN) install-data install-update
@@ -133,7 +135,7 @@
 	@install -c -m 0644 tools/icon/icon.svg $(DESTDIR)$(PREFIX)/share/pixmaps/leocad.svg
 	@install -d $(DESTDIR)$(PREFIX)/share/icons/hicolor/scalable/mimetypes/
 	@rm -f $(DESTDIR)$(PREFIX)/share/icons/hicolor/scalable/mimetypes/application-vnd.leocad.svg
-	@ln -s $(DESTDIR)$(PREFIX)/share/pixmaps/leocad.svg $(DESTDIR)$(PREFIX)/share/icons/hicolor/scalable/mimetypes/application-vnd.leocad.svg
+	@ln -s $(PREFIX)/share/pixmaps/leocad.svg $(DESTDIR)$(PREFIX)/share/icons/hicolor/scalable/mimetypes/application-vnd.leocad.svg
 	@install -d $(DESTDIR)$(PREFIX)/share/mime/packages
 	@install -c -m 0644 linux/leocad-mime.xml $(DESTDIR)$(PREFIX)/share/mime/packages/

=== debian/changelog ===
leocad (0.79.3-1) unstable; urgency=low

  [ David Paleino ]
  * Removed debian/leocad.desktop, use the one provided by upstream
    instead. Added 01-fix_desktop_file.patch to properly change it
    when needed.

  [ Nicolas Guilbert ]
  * Adopting package (Closes: #711830).
  * New upstream version
  * Hardening
  * debian/patches/:
    - 00-fix_image_linking.patch deleted, fixed upstream
    - 01-fix_desktop_file.patch deleted, fixed upstream
    - 10-fix_segfault.patch deleted, fixed upstream
    - 11-keywords-in-desktop-file added

  [ Petter Reinholdtsen ]
  * Add build dependency on dpkg-dev (>= 1.16.1~) to make sure
    /usr/share/dpkg/buildflags.mk is available.

  * Upload sponsored by Petter Reinholdtsen.

 -- Nicolas Guilbert <nicolas@ange.dk>  Fri, 05 Jul 2013 10:01:11 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: leocad
 Section: utils
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: David Paleino <dapal@debian.org>
+Maintainer: Nicolas Guilbert <nicolas@ange.dk>
 Build-Depends: debhelper (>= 8~)
  , libgtk2.0-dev
  , libglib2.0-dev
@@ -10,6 +9,7 @@
  , libjpeg-dev
  , zlib1g-dev
  , libpng-dev
+ , dpkg-dev (>= 1.16.1~)
 Standards-Version: 3.9.4
 Homepage: http://www.leocad.org/
 Vcs-Git: git://anonscm.debian.org/collab-maint/leocad.git

=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,9 @@
 #export DH_VERBOSE=1
 
 export PREFIX=/usr
+
+DPKG_EXPORT_BUILDFLAGS = 1
+include /usr/share/dpkg/buildflags.mk
 
 ifndef UPVER
 UPVER   := $(shell dpkg-parsechangelog | grep ^Version | awk '{print $$2}' | cut -d- -f1)

## leocad 0.80

=== debian/changelog ===
leocad (0.80-1) unstable; urgency=low

  * New upstream version justifying release to unstable
  * Patches refreshed
    - 01-add-desktop-file.patch removed, fixed upstream
    - 02-eliminate-gcc-warnings.patch removed, fixed upstream / invalid
    - 04-init-vectors.patch removed, upstream insists on keeping the
      the vectors uninitialized and valgrind cannot find any problems
      with that
    - 06-fix-clang-unused-variable-warning.patch removed, fixed upstream
    - 07-fix-appearance-typo.patch refreshed
  * removed duplicate COPYING.txt file
  * added upstream changelog

 -- Nicolas Guilbert <nicolas@ange.dk>  Thu, 22 Aug 2013 20:20:08 +0200

leocad (0.79.3+svn1417-1) experimental; urgency=low

  * Updated to Qt-based upstream development version
  * debian/patches:
    - 01-unused_variable_row_stride.patch removed, no longer applies
    - 02-valgrind-cleaning.patch removed, fixed upstream
    - 05-zipfile_signed.patch, fixed upstream
    - 11-keywords-in-desktop-file.patch removed, no longer applies
    - 01-add-desktop-file.patch added, adds desktop file
    - 02-eliminate-gcc-warnings.patch added
    - 06-fix-clang-unused-variable-warning.patch added
    - 07-fix-appearance-typo.patch added
  * debian/rules updated: qmake-based build is clean, no need
    for override_dh_auto_clean target
  * debian/control:
    - updated dependencies from GTK to Qt
    - raised debhelper dependency from 8 to 9

 -- Nicolas Guilbert <nicolas@ange.dk>  Mon, 15 Jul 2013 23:57:22 +0200

leocad (0.79.3-2) UNRELEASED; urgency=low

  * debian/patches/:
    - removed 08-fix_deprecated_code.patch, fixed upstream
    - added 01-unused_variable_row_stride.patch, fixes unused variable warning,
    - added 02-valgrind-cleaning.patch, cleans valgrind detected uninitialized variables

 -- Nicolas Guilbert <nicolas@ange.dk>  Sun, 07 Jul 2013 00:58:40 +0200

## leocad 0.80.1+svn1545

=== Makefile ===
#############################################################################
# Makefile for building: build/release/leocad
# Generated by qmake (2.01a) (Qt 4.8.5) on: Tue Aug 13 19:46:40 2013
# Project:  leocad.pro
# Template: app
# Command: /usr/lib/x86_64-linux-gnu/qt4/bin/qmake -o Makefile leocad.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_WEBKIT -DLC_INSTALL_PREFIX=\"/usr\" -DQT_NO_DEBUG -DQT_OPENGL_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -m64 -pipe -O2 -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -m64 -pipe -O2 -Wall -W -Wno-unused-parameter -D_REENTRANT $(DEFINES)
INCPATH       = -I/usr/share/qt4/mkspecs/linux-g++-64 -I. -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtNetwork -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtOpenGL -I/usr/include/qt4 -Iqt -Icommon -I/usr/X11R6/include -Ibuild/release/.moc -Ibuild/release/.ui
LINK          = g++
LFLAGS        = -m64 -Wl,-O1
LIBS          = $(SUBLIBS)  -L/usr/lib/x86_64-linux-gnu -L/usr/X11R6/lib64 -lz -lQtOpenGL -lQtGui -lQtNetwork -lQtCore -lGL -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/lib/x86_64-linux-gnu/qt4/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = build/release/.obj/

####### Files

SOURCES       = common/view.cpp \
		common/tr.cpp \
		common/texfont.cpp \
		common/terrain.cpp \
		common/str.cpp \
		common/project.cpp \
		common/preview.cpp \
		common/pieceinf.cpp \
		common/piece.cpp \
		common/opengl.cpp \
		common/object.cpp \
		common/minifig.cpp \
		common/mainwnd.cpp \
		common/light.cpp \
		common/lc_zipfile.cpp \
		common/lc_texture.cpp \
		common/lc_mesh.cpp \
		common/lc_library.cpp \
		common/lc_file.cpp \
		common/lc_colors.cpp \
		common/lc_application.cpp \
		common/image.cpp \
		common/group.cpp \
		common/debug.cpp \
		common/curve.cpp \
		common/console.cpp \
		common/camera.cpp \
		common/lc_profile.cpp \
		common/lc_category.cpp \
		qt/lc_qmainwindow.cpp \
		qt/system.cpp \
		qt/qtmain.cpp \
		qt/lc_qpovraydialog.cpp \
		qt/lc_qarraydialog.cpp \
		qt/lc_qgroupdialog.cpp \
		qt/lc_qaboutdialog.cpp \
		qt/lc_qpartstree.cpp \
		qt/lc_qeditgroupsdialog.cpp \
		qt/lc_qselectdialog.cpp \
		qt/lc_qpropertiesdialog.cpp \
		qt/lc_qhtmldialog.cpp \
		qt/lc_qminifigdialog.cpp \
		qt/lc_qpreferencesdialog.cpp \
		qt/lc_qcategorydialog.cpp \
		qt/lc_qprofile.cpp \
		qt/lc_qimagedialog.cpp \
		qt/lc_qapplication.cpp \
		qt/lc_qupdatedialog.cpp \
		qt/lc_qutils.cpp \
		qt/lc_qpropertiestree.cpp \
		qt/lc_qcolorpicker.cpp \
		common/lc_commands.cpp \
		common/lc_shortcuts.cpp \
		qt/lc_qimage.cpp \
		qt/lc_qglwidget.cpp \
		qt/lc_qcolorlist.cpp \
		qt/lc_qfinddialog.cpp build/release/.moc/moc_lc_qmainwindow.cpp \
		build/release/.moc/moc_lc_qpovraydialog.cpp \
		build/release/.moc/moc_lc_qarraydialog.cpp \
		build/release/.moc/moc_lc_qgroupdialog.cpp \
		build/release/.moc/moc_lc_qaboutdialog.cpp \
		build/release/.moc/moc_lc_qpartstree.cpp \
		build/release/.moc/moc_lc_qeditgroupsdialog.cpp \
		build/release/.moc/moc_lc_qselectdialog.cpp \
		build/release/.moc/moc_lc_qpropertiesdialog.cpp \
		build/release/.moc/moc_lc_qhtmldialog.cpp \
		build/release/.moc/moc_lc_qminifigdialog.cpp \
		build/release/.moc/moc_lc_qpreferencesdialog.cpp \
		build/release/.moc/moc_lc_qcategorydialog.cpp \
		build/release/.moc/moc_lc_qimagedialog.cpp \
		build/release/.moc/moc_lc_qupdatedialog.cpp \
		build/release/.moc/moc_lc_qutils.cpp \
		build/release/.moc/moc_lc_qpropertiestree.cpp \
		build/release/.moc/moc_lc_qcolorpicker.cpp \
		build/release/.moc/moc_lc_qcolorlist.cpp \
		build/release/.moc/moc_lc_qfinddialog.cpp \
		build/release/.qrc/qrc_leocad.cpp
OBJECTS       = build/release/.obj/view.o \
		build/release/.obj/tr.o \
		build/release/.obj/texfont.o \
		build/release/.obj/terrain.o \
		build/release/.obj/str.o \
		build/release/.obj/project.o \
		build/release/.obj/preview.o \
		build/release/.obj/pieceinf.o \
		build/release/.obj/piece.o \
		build/release/.obj/opengl.o \
		build/release/.obj/object.o \
		build/release/.obj/minifig.o \
		build/release/.obj/mainwnd.o \
		build/release/.obj/light.o \
		build/release/.obj/lc_zipfile.o \
		build/release/.obj/lc_texture.o \
		build/release/.obj/lc_mesh.o \
		build/release/.obj/lc_library.o \
		build/release/.obj/lc_file.o \
		build/release/.obj/lc_colors.o \
		build/release/.obj/lc_application.o \
		build/release/.obj/image.o \
		build/release/.obj/group.o \
		build/release/.obj/debug.o \
		build/release/.obj/curve.o \
		build/release/.obj/console.o \
		build/release/.obj/camera.o \
		build/release/.obj/lc_profile.o \
		build/release/.obj/lc_category.o \
		build/release/.obj/lc_qmainwindow.o \
		build/release/.obj/system.o \
		build/release/.obj/qtmain.o \
		build/release/.obj/lc_qpovraydialog.o \
		build/release/.obj/lc_qarraydialog.o \
		build/release/.obj/lc_qgroupdialog.o \
		build/release/.obj/lc_qaboutdialog.o \
		build/release/.obj/lc_qpartstree.o \
		build/release/.obj/lc_qeditgroupsdialog.o \
		build/release/.obj/lc_qselectdialog.o \
		build/release/.obj/lc_qpropertiesdialog.o \
		build/release/.obj/lc_qhtmldialog.o \
		build/release/.obj/lc_qminifigdialog.o \
		build/release/.obj/lc_qpreferencesdialog.o \
		build/release/.obj/lc_qcategorydialog.o \
		build/release/.obj/lc_qprofile.o \
		build/release/.obj/lc_qimagedialog.o \
		build/release/.obj/lc_qapplication.o \
		build/release/.obj/lc_qupdatedialog.o \
		build/release/.obj/lc_qutils.o \
		build/release/.obj/lc_qpropertiestree.o \
		build/release/.obj/lc_qcolorpicker.o \
		build/release/.obj/lc_commands.o \
		build/release/.obj/lc_shortcuts.o \
		build/release/.obj/lc_qimage.o \
		build/release/.obj/lc_qglwidget.o \
		build/release/.obj/lc_qcolorlist.o \
		build/release/.obj/lc_qfinddialog.o \
		build/release/.obj/moc_lc_qmainwindow.o \
		build/release/.obj/moc_lc_qpovraydialog.o \
		build/release/.obj/moc_lc_qarraydialog.o \
		build/release/.obj/moc_lc_qgroupdialog.o \
		build/release/.obj/moc_lc_qaboutdialog.o \
		build/release/.obj/moc_lc_qpartstree.o \
		build/release/.obj/moc_lc_qeditgroupsdialog.o \
		build/release/.obj/moc_lc_qselectdialog.o \
		build/release/.obj/moc_lc_qpropertiesdialog.o \
		build/release/.obj/moc_lc_qhtmldialog.o \
		build/release/.obj/moc_lc_qminifigdialog.o \
		build/release/.obj/moc_lc_qpreferencesdialog.o \
		build/release/.obj/moc_lc_qcategorydialog.o \
		build/release/.obj/moc_lc_qimagedialog.o \
		build/release/.obj/moc_lc_qupdatedialog.o \
		build/release/.obj/moc_lc_qutils.o \
		build/release/.obj/moc_lc_qpropertiestree.o \
		build/release/.obj/moc_lc_qcolorpicker.o \
		build/release/.obj/moc_lc_qcolorlist.o \
		build/release/.obj/moc_lc_qfinddialog.o \
		build/release/.obj/qrc_leocad.o
DIST          = /usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/common/gcc-base.conf \
		/usr/share/qt4/mkspecs/common/gcc-base-unix.conf \
		/usr/share/qt4/mkspecs/common/g++-base.conf \
		/usr/share/qt4/mkspecs/common/g++-unix.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/modules/qt_phonon.pri \
		/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		/usr/share/qt4/mkspecs/features/release.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/shared.prf \
		/usr/share/qt4/mkspecs/features/unix/gdb_dwarf_index.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/unix/opengl.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		leocad.pro
QMAKE_TARGET  = leocad
DESTDIR       = build/release/
TARGET        = build/release/leocad

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c -include build/release/.obj/leocad $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c -include build/release/.obj/leocad $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c -include build/release/.obj/leocad $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c -include build/release/.obj/leocad $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c -include build/release/.obj/leocad $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET): build/release/.ui/ui_lc_qpovraydialog.h build/release/.ui/ui_lc_qarraydialog.h build/release/.ui/ui_lc_qgroupdialog.h build/release/.ui/ui_lc_qaboutdialog.h build/release/.ui/ui_lc_qeditgroupsdialog.h build/release/.ui/ui_lc_qselectdialog.h build/release/.ui/ui_lc_qpropertiesdialog.h build/release/.ui/ui_lc_qhtmldialog.h build/release/.ui/ui_lc_qminifigdialog.h build/release/.ui/ui_lc_qpreferencesdialog.h build/release/.ui/ui_lc_qcategorydialog.h build/release/.ui/ui_lc_qimagedialog.h build/release/.ui/ui_lc_qupdatedialog.h build/release/.ui/ui_lc_qfinddialog.h $(OBJECTS)  
	@$(CHK_DIR_EXISTS) build/release/ || $(MKDIR) build/release/ 
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: leocad.pro  /usr/share/qt4/mkspecs/linux-g++-64/qmake.conf /usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/common/gcc-base.conf \
		/usr/share/qt4/mkspecs/common/gcc-base-unix.conf \
		/usr/share/qt4/mkspecs/common/g++-base.conf \
		/usr/share/qt4/mkspecs/common/g++-unix.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/modules/qt_phonon.pri \
		/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		/usr/share/qt4/mkspecs/features/release.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/shared.prf \
		/usr/share/qt4/mkspecs/features/unix/gdb_dwarf_index.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/unix/opengl.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		/usr/lib/x86_64-linux-gnu/libQtOpenGL.prl \
		/usr/lib/x86_64-linux-gnu/libQtGui.prl \
		/usr/lib/x86_64-linux-gnu/libQtNetwork.prl \
		/usr/lib/x86_64-linux-gnu/libQtCore.prl
	$(QMAKE) -o Makefile leocad.pro
/usr/share/qt4/mkspecs/common/unix.conf:
/usr/share/qt4/mkspecs/common/linux.conf:
/usr/share/qt4/mkspecs/common/gcc-base.conf:
/usr/share/qt4/mkspecs/common/gcc-base-unix.conf:
/usr/share/qt4/mkspecs/common/g++-base.conf:
/usr/share/qt4/mkspecs/common/g++-unix.conf:
/usr/share/qt4/mkspecs/qconfig.pri:
/usr/share/qt4/mkspecs/modules/qt_phonon.pri:
/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri:
/usr/share/qt4/mkspecs/features/qt_functions.prf:
/usr/share/qt4/mkspecs/features/qt_config.prf:

=== debian/changelog ===
leocad (0.80.1+svn1545-1) unstable; urgency=low

  * New upstream release.
    - fix FTBFS on Hurd and kfreebsd- (Closes: #726145)
  * Patches refreshed
    - 07-fix-appearance-typo.patch removed, fixed upstream
  * Skip the check for newer available versions. (Closes: #726147)

 -- Nicolas Guilbert <nicolas@ange.dk>  Tue, 22 Oct 2013 14:06:51 +0200

## leocad 0.80.1+svn1545b

=== debian/changelog ===
leocad (0.80.1+svn1545b-1) unstable; urgency=low

  * Remove spurious Makefile from the SVN snapshot which
    resulted in an FTBFS on non-amd64 architectures.
  * Remove some additional unwanted files from the SVN
    snapshot.
  * Bump upstream version to reflect the fact it's a
    new orig.tar.gz and overwrite the existing one.

 -- Nicolas Guilbert <nicolas@ange.dk>  Wed, 23 Oct 2013 23:38:06 +0200

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,10 @@
 Section: utils
 Priority: extra
 Maintainer: Nicolas Guilbert <nicolas@ange.dk>
-Build-Depends: debhelper (>= 8~)
- , libgtk2.0-dev
- , libglib2.0-dev
- , libgl1-mesa-dev
+Build-Depends: debhelper (>= 9)
+ , qt4-qmake
+ , libqt4-dev
+ , libqt4-opengl-dev
  , libjpeg-dev
  , zlib1g-dev
  , libpng-dev
@@ -24,5 +24,6 @@
 Description: virtual brick CAD software
  LeoCAD is a CAD program that can be used to create virtual models
  with bricks similar to those found in many toys.
+ .
  It has an easy to use interface and currently features over 2000
  different pieces created by the LDraw community.

=== debian/rules ===
--- 
+++ 
@@ -5,9 +5,6 @@
 #export DH_VERBOSE=1
 
 export PREFIX=/usr
-
-DPKG_EXPORT_BUILDFLAGS = 1
-include /usr/share/dpkg/buildflags.mk
 
 ifndef UPVER
 UPVER   := $(shell dpkg-parsechangelog | grep ^Version | awk '{print $$2}' | cut -d- -f1)
@@ -17,14 +14,16 @@
 %:
 	dh $@
 
-override_dh_auto_clean:
-	$(MAKE) veryclean
-
 # Install icon too
 override_dh_install:
 	dh_install
 	install -m644 -D tools/icon/icon32.png \
-		debian/leocad/usr/share/pixmaps/leocad32.png
+		debian/leocad/usr/share/icons/hicolor/32x32/apps/leocad.png
+
+override_dh_installdocs:
+	dh_installdocs
+	rm debian/leocad/usr/share/doc/leocad/COPYING.txt
+	mv debian/leocad/usr/share/doc/leocad/upstream-changelog debian/leocad/usr/share/doc/leocad/changelog
 
 get-orig-source:
 	svn checkout $(SVNREPO)/leocad-$(UPVER)

=== debian/watch ===
version=3
http://code.google.com/p/leocad/downloads/list \
//leocad.googlecode.com/files/leocad-(\d+.*)-src\.tgz

## leocad 0.80.2

=== debian/changelog ===
leocad (0.80.2-1) unstable; urgency=low

  * New upstream version
  * Standards version 3.9.5

 -- Nicolas Guilbert <nicolas@ange.dk>  Tue, 11 Mar 2014 21:10:41 +0000

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  , zlib1g-dev
  , libpng-dev
  , dpkg-dev (>= 1.16.1~)
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://www.leocad.org/
 Vcs-Git: git://anonscm.debian.org/collab-maint/leocad.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/leocad.git

## leocad 0.80.3

=== debian/changelog ===
leocad (0.80.3-1) unstable; urgency=medium

  * New upstream version.
  * Add ldraw-parts to Suggests.

 -- Nicolas Guilbert <nicolas@ange.dk>  Sat, 13 Sep 2014 22:12:52 +0200

=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
 Depends:
  ${shlibs:Depends}
  , ${misc:Depends}
-Recommends: leocad-parts
+Suggests: ldraw-parts
 Description: virtual brick CAD software
  LeoCAD is a CAD program that can be used to create virtual models
  with bricks similar to those found in many toys.

=== debian/rules ===
--- 
+++ 
@@ -17,7 +17,7 @@
 # Install icon too
 override_dh_install:
 	dh_install
-	install -m644 -D tools/icon/icon32.png \
+	install -m644 -D tools/icon/leocad-32.png \
 		debian/leocad/usr/share/icons/hicolor/32x32/apps/leocad.png
 
 override_dh_installdocs:

## leocad 0.81%2Bsvn1775

=== debian/rules ===
--- 
+++ 
@@ -10,6 +10,9 @@
 UPVER   := $(shell dpkg-parsechangelog | grep ^Version | awk '{print $$2}' | cut -d- -f1)
 endif
 SVNREPO := http://svn.leocad.org/tags
+
+#skip check for newer versions online
+export DEB_CPPFLAGS_MAINT_APPEND  = -DLC_DISABLE_UPDATE_CHECK
 
 %:
 	dh $@

## leocad 0.81+svn1775

=== debian/changelog ===
leocad (0.81+svn1775-1ubuntu1) xenial; urgency=medium

  * debian/patches/fix-isnan.patch: Prefix isnan with std:: to fix FTBFS with
    libc 2.23.

 -- Logan Rosen <logan@ubuntu.com>  Thu, 07 Apr 2016 07:00:49 +0000

leocad (0.81+svn1775-1) unstable; urgency=medium

  * New upstream version.
  * Update Standards-Version to 3.9.6, no changes required.
  * Disable leocad's automated check for a new version in
    debian/rules instead of quilt patching.

 -- Nicolas Guilbert <nicolas@ange.dk>  Sun, 08 Feb 2015 23:55:39 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: leocad
 Section: utils
 Priority: extra
-Maintainer: Nicolas Guilbert <nicolas@ange.dk>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Nicolas Guilbert <nicolas@ange.dk>
 Build-Depends: debhelper (>= 9)
  , qt4-qmake
  , libqt4-dev
@@ -10,7 +11,7 @@
  , zlib1g-dev
  , libpng-dev
  , dpkg-dev (>= 1.16.1~)
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://www.leocad.org/
 Vcs-Git: git://anonscm.debian.org/collab-maint/leocad.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/leocad.git

## leocad 0.83

=== debian/changelog ===
leocad (0.83-1) unstable; urgency=medium

  * New upstream version.
    - Fix FTBFS with glibc 2.23 (Closes: #818819).

 -- Nicolas Guilbert <nicolas@ange.dk>  Sun, 07 Aug 2016 21:55:01 +0200

=== debian/watch ===
version=3
https://drive.google.com/drive/folders/0B4QpN1vpGh_sUWJZSkVVaEtzcW8/LeoCAD-Source(\d+.*).tgz

## leocad 0.83.1

=== debian/changelog ===
leocad (0.83.1-1) unstable; urgency=medium

  * New upstream version.
    - Mainly a bugfix release.

 -- Nicolas Guilbert <nicolas@ange.dk>  Sun, 14 Aug 2016 23:02:57 +0200

leocad (0.83-2) unstable; urgency=medium

  * Fix watch file.

 -- Nicolas Guilbert <nicolas@ange.dk>  Tue, 09 Aug 2016 10:16:40 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: leocad
 Section: utils
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Nicolas Guilbert <nicolas@ange.dk>
+Maintainer: Nicolas Guilbert <nicolas@ange.dk>
 Build-Depends: debhelper (>= 9)
  , qt4-qmake
  , libqt4-dev
@@ -11,10 +10,10 @@
  , zlib1g-dev
  , libpng-dev
  , dpkg-dev (>= 1.16.1~)
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://www.leocad.org/
 Vcs-Git: git://anonscm.debian.org/collab-maint/leocad.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/leocad.git
+Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/leocad.git
 
 Package: leocad
 Architecture: any

=== debian/watch ===
version=3
http://svn.leocad.org/tags/ leocad-(.+)\/

## leocad 17.02

=== debian/changelog ===
leocad (17.02-1) unstable; urgency=medium

  * New upstream version
  * New upstream VCS - moved from svn to git on Github

 -- Nicolas Guilbert <nicolas@ange.dk>  Fri, 12 May 2017 23:28:59 +0200

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
  , dpkg-dev (>= 1.16.1~)
 Standards-Version: 3.9.8
 Homepage: http://www.leocad.org/
-Vcs-Git: git://anonscm.debian.org/collab-maint/leocad.git
+Vcs-Git: https://anonscm.debian.org/collab-maint/leocad.git
 Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/leocad.git
 
 Package: leocad

=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,9 @@
 SVNREPO := http://svn.leocad.org/tags
 
 #skip check for newer versions online
-export DEB_CPPFLAGS_MAINT_APPEND  = -DLC_DISABLE_UPDATE_CHECK
+export DEB_CPPFLAGS_MAINT_APPEND = -DLC_DISABLE_UPDATE_CHECK
+
+export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 
 %:
 	dh $@

## leocad 17.07

=== debian/changelog ===
leocad (17.07-2) unstable; urgency=medium

  * Build with Qt5 instead of Qt4 (Closes: #875006).

 -- Nicolas Guilbert <nicolas@ange.dk>  Tue, 05 Sep 2017 20:44:43 +0200

leocad (17.07-1) unstable; urgency=medium

  * New upstream version

 -- Nicolas Guilbert <nicolas@ange.dk>  Sun, 06 Aug 2017 19:10:11 +0200

leocad (17.02-2) UNRELEASED; urgency=medium

  * Changed maintainer to Debian LEGO Team
  * Moved VCS to team area
  * Updated Standards-Version to 4.0.0
  * Make packaging gbp-friendly
  * Added part rendering test to enable continuous integration

 -- Nicolas Guilbert <nicolas@ange.dk>  Wed, 02 Aug 2017 19:18:41 +0200

=== debian/control ===
Source: leocad
Section: utils
Priority: extra
Maintainer: Debian LEGO Team <debian-lego-team@lists.alioth.debian.org>
Uploaders:
 Nicolas Guilbert <nicolas@ange.dk>
Build-Depends: debhelper (>= 9)
 , qt5-qmake
 , qtbase5-dev
 , qtbase5-dev-tools
 , libqt5opengl5-dev
 , qttools5-dev-tools
 , libjpeg-dev
 , zlib1g-dev
 , libpng-dev
 , dpkg-dev (>= 1.16.1~)
Standards-Version: 4.0.0
Homepage: http://www.leocad.org/
Vcs-Git: git://anonscm.debian.org/debian-lego/leocad.git
Vcs-Browser: https://anonscm.debian.org/cgit/debian-lego/leocad.git

Package: leocad
Architecture: any
Depends:
 ${shlibs:Depends}
 , ${misc:Depends}
Suggests: ldraw-parts
Description: virtual brick CAD software
 LeoCAD is a CAD program that can be used to create virtual models
 with bricks similar to those found in many toys.
 .
 It has an easy to use interface and currently features over 2000
 different pieces created by the LDraw community when installed with
 the ldraw-parts package.

=== debian/tests/control ===
Tests: render-simple-part
Depends: @
Restrictions: allow-stderr

## leocad 18.01

=== debian/changelog ===
leocad (18.01-1) unstable; urgency=medium

  * Update to latest upstream version.
  * Fix compile for OpenGL ES (Closes: #876695).
  * Update VCS urls to point to salsa.debian.org.
  * Fix test bed - run program in xvfb.

 -- Nicolas Guilbert <nicolas@ange.dk>  Sun, 28 Jan 2018 22:21:34 +0100

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: leocad
 Section: utils
-Priority: extra
+Priority: optional
 Maintainer: Debian LEGO Team <debian-lego-team@lists.alioth.debian.org>
 Uploaders:
  Nicolas Guilbert <nicolas@ange.dk>
-Build-Depends: debhelper (>= 9)
+Build-Depends: debhelper (>= 11)
  , qt5-qmake
  , qtbase5-dev
  , qtbase5-dev-tools
@@ -14,10 +14,10 @@
  , zlib1g-dev
  , libpng-dev
  , dpkg-dev (>= 1.16.1~)
-Standards-Version: 4.0.0
+Standards-Version: 4.1.3
 Homepage: http://www.leocad.org/
-Vcs-Git: git://anonscm.debian.org/debian-lego/leocad.git
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-lego/leocad.git
+Vcs-Git: https://salsa.debian.org/debian-lego-team/leocad.git
+Vcs-Browser: https://salsa.debian.org/debian-lego-team/leocad
 
 Package: leocad
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PREFIX=/usr

#skip check for newer versions online
export DEB_CPPFLAGS_MAINT_APPEND = -DLC_DISABLE_UPDATE_CHECK -DLC_LDRAW_LIBRARY_PATH=\\\"/usr/share/ldraw\\\"
export DEB_BUILD_MAINT_OPTIONS=hardening=+all
export QT_SELECT=qt5

%:
	dh $@

# Install icon too
override_dh_install:
	dh_install
	install -m644 -D tools/icon/leocad-32.png \
		debian/leocad/usr/share/icons/hicolor/32x32/apps/leocad.png

override_dh_installdocs:
	dh_installdocs
	rm debian/leocad/usr/share/doc/leocad/COPYING.txt
	mv debian/leocad/usr/share/doc/leocad/upstream-changelog debian/leocad/usr/share/doc/leocad/changelog

## leocad 18.02

=== debian/changelog ===
leocad (18.02-1) unstable; urgency=medium

  * New upstream version (18.02)

 -- Nicolas Guilbert <nicolas@ange.dk>  Sun, 25 Feb 2018 21:03:33 +0100

## leocad 19.07.1

=== debian/changelog ===
leocad (19.07.1-1) unstable; urgency=medium

  * New upstream version (19.07.1)

 -- Nicolas Guilbert <nicolas@ange.dk>  Wed, 17 Jul 2019 15:28:25 +0200

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
  , zlib1g-dev
  , libpng-dev
  , dpkg-dev (>= 1.16.1~)
-Standards-Version: 4.1.3
+Standards-Version: 4.3.0
 Homepage: http://www.leocad.org/
 Vcs-Git: https://salsa.debian.org/debian-lego-team/leocad.git
 Vcs-Browser: https://salsa.debian.org/debian-lego-team/leocad

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 export PREFIX=/usr
 
 #skip check for newer versions online
-export DEB_CPPFLAGS_MAINT_APPEND = -DLC_DISABLE_UPDATE_CHECK -DLC_LDRAW_LIBRARY_PATH=\\\"/usr/share/ldraw\\\"
+export DEB_CPPFLAGS_MAINT_APPEND = -DLC_DISABLE_UPDATE_CHECK -DLC_LDRAW_LIBRARY_PATH=\"/usr/share/ldraw\"
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 export QT_SELECT=qt5
 
@@ -24,4 +24,3 @@
 	dh_installdocs
 	rm debian/leocad/usr/share/doc/leocad/COPYING.txt
 	mv debian/leocad/usr/share/doc/leocad/upstream-changelog debian/leocad/usr/share/doc/leocad/changelog
-

=== debian/tests/control ===
Tests: render-simple-part
Depends: @, xvfb
Restrictions: allow-stderr

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/leocad-$1\.tar\.gz/ \
  https://github.com/leozide/leocad/tags .*/v?(\d\S+)\.tar\.gz

## leocad 21.06

=== debian/changelog ===
leocad (21.06-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 17:49:27 +1100

leocad (21.06-1build1) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 05:33:41 +0000

leocad (21.06-1) unstable; urgency=medium

  [ Johannes Schauer Marin Rodrigues ]
  * Team upload.
  * New upstream version (closes: #980060)
     - ships /usr/share/mime/packages/leocad.xml (closes: #870596)
  * debian/patches/01-add-fortify-flags: refresh
  * add debian/salsa-ci.yml
  * debian/rules: drop override_dh_install
  * debian/docs: README.txt -> README.md
  * debian/tests/control: add missing depends on xauth
  * pass flags in configure instead of patching upstream
  * debian/control: Rules-Requires-Root: no
  * use debhelper-compat and bump to dh 13
  * debian/copyright: add license for tools/setup/leocad.appdata.xml

  [ Leonardo Zide ]
  * Updated package description.

 -- Johannes Schauer Marin Rodrigues <josch@debian.org>  Mon, 27 Sep 2021 10:30:24 +0200

=== debian/control ===
Source: leocad
Section: utils
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian LEGO Team <debian-lego-team@lists.alioth.debian.org>
Uploaders:
 Nicolas Guilbert <nicolas@ange.dk>
Build-Depends: debhelper-compat (= 13)
 , qt5-qmake
 , qtbase5-dev
 , qtbase5-dev-tools
 , libqt5opengl5-dev
 , qttools5-dev-tools
 , libjpeg-dev
 , zlib1g-dev
 , libpng-dev
 , dpkg-dev (>= 1.16.1~)
Standards-Version: 4.3.0
Homepage: https://www.leocad.org/
Vcs-Git: https://salsa.debian.org/debian-lego-team/leocad.git
Vcs-Browser: https://salsa.debian.org/debian-lego-team/leocad
Rules-Requires-Root: no

Package: leocad
Architecture: any
Depends:
 ${shlibs:Depends}
 , ${misc:Depends}
Suggests: ldraw-parts
Description: virtual brick CAD software
 LeoCAD is a CAD program for creating virtual LEGO models.
 .
 It has an easy to use interface and currently features thousands of
 different pieces created by the LDraw community when installed with
 the ldraw-parts package.

## leocad 23.03

=== debian/changelog ===
leocad (23.03-1) unstable; urgency=medium

  * Team upload.

  [ Nicolas Schodet ]
  * New upstream version 23.03.
  * Update upstream-changelog.
  * Remove trailing white space in upstream changelog.
  * Drop build dependency on dpkg-dev, it is a build-essential.
  * Use correct machine-readable copyright file URI.
  * Bump Standards-Version to 4.7.2, no change needed.
  * Update copyright dates.
  * Add patch fix-man, fixing font selection error in manual page.

 -- Petter Reinholdtsen <pere@debian.org>  Mon, 24 Mar 2025 23:26:21 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: leocad
 Section: utils
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian LEGO Team <debian-lego-team@lists.alioth.debian.org>
+Maintainer: Debian LEGO Team <debian-lego-team@lists.alioth.debian.org>
 Uploaders:
  Nicolas Guilbert <nicolas@ange.dk>
 Build-Depends: debhelper-compat (= 13)
@@ -14,8 +13,7 @@
  , libjpeg-dev
  , zlib1g-dev
  , libpng-dev
- , dpkg-dev (>= 1.16.1~)
-Standards-Version: 4.3.0
+Standards-Version: 4.7.2
 Homepage: https://www.leocad.org/
 Vcs-Git: https://salsa.debian.org/debian-lego-team/leocad.git
 Vcs-Browser: https://salsa.debian.org/debian-lego-team/leocad

## leocad 25.09

=== debian/changelog ===
leocad (25.09-1) unstable; urgency=medium

  * New upstream version 25.09.
  * Drop fix-man and background-fix-{1,2}.patch, applied upstream.

 -- Nicolas Schodet <nico@ni.fr.eu.org>  Wed, 03 Sep 2025 23:58:15 +0200

leocad (23.03-3) unstable; urgency=medium

  * Add upstream metadata.
  * Add background-fix-{1,2}.patch, cherry-picked from upstream.
    This fixes background drawing problems. (Closes: #1033440)

 -- Nicolas Schodet <nico@ni.fr.eu.org>  Wed, 09 Apr 2025 00:12:44 +0200

leocad (23.03-2) unstable; urgency=medium

  * Patch fix-man applied upstream.
  * debian/copyright: use HTTPS.
  * Add myself as an uploader.
  * Recommends ldraw-parts-free | ldraw-parts. (Closes: #755437)
  * Update ldraw-parts patch, mentioning the ldraw-parts-free package in
    startup popup.

 -- Nicolas Schodet <nico@ni.fr.eu.org>  Sun, 06 Apr 2025 11:20:24 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,8 @@
 Priority: optional
 Maintainer: Debian LEGO Team <debian-lego-team@lists.alioth.debian.org>
 Uploaders:
- Nicolas Guilbert <nicolas@ange.dk>
+ Nicolas Guilbert <nicolas@ange.dk>,
+ Nicolas Schodet <nico@ni.fr.eu.org>,
 Build-Depends: debhelper-compat (= 13)
  , qt5-qmake
  , qtbase5-dev
@@ -24,10 +25,10 @@
 Depends:
  ${shlibs:Depends}
  , ${misc:Depends}
-Suggests: ldraw-parts
+Recommends: ldraw-parts-free | ldraw-parts
 Description: virtual brick CAD software
  LeoCAD is a CAD program for creating virtual LEGO models.
  .
  It has an easy to use interface and currently features thousands of
  different pieces created by the LDraw community when installed with
- the ldraw-parts package.
+ the ldraw-parts-free or ldraw-parts package.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PREFIX=/usr

#skip check for newer versions online
export DEB_CPPFLAGS_MAINT_APPEND = -DLC_DISABLE_UPDATE_CHECK -DLC_LDRAW_LIBRARY_PATH=\\\\\\\"/usr/share/ldraw\\\\\\\"
export DEB_BUILD_MAINT_OPTIONS=hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk
export QT_SELECT=qt5

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		QMAKE_CXXFLAGS='$(CXXFLAGS) $(CPPFLAGS)' \
		QMAKE_LFLAGS='$(LDFLAGS)'

override_dh_installdocs:
	dh_installdocs
	rm debian/leocad/usr/share/doc/leocad/COPYING.txt
	mv debian/leocad/usr/share/doc/leocad/upstream-changelog debian/leocad/usr/share/doc/leocad/changelog

=== debian/tests/control ===
Tests: render-simple-part
Depends: @, xvfb, xauth
Restrictions: allow-stderr
